dbXML API

## org.dbxml.core
Class CollectionManager

    java.lang.Object
      |
      +--org.dbxml.core.CollectionManager

All Implemented Interfaces:
  org.dbxml.server.Configurable, org.dbxml.server.Disposable

Direct Known Subclasses:
  Collection

public class CollectionManager
extends java.lang.Object
implements org.dbxml.server.Configurable, org.dbxml.server.Disposable

CollectionManager is the base class for both Database and Collection.

Method Summary
`Collection` `createCollection(java.lang.String path, org.dbxml.server.Configuration config)` createCollection creates a new Collection object and any associated system resources that the Collection will need.
`void` `dispose()`
`boolean` `dropCollection(Collection collection)` dropCollection physically removes the specified Collection and any associated system resources that the Collection uses.
`Collection` `getCollection(java.lang.String path)` getCollection retrieves a Collection by name.
`org.dbxml.server.Configuration` `getConfig()`
`java.lang.String[]` `listCollections()` listCollections retrieves a list of Collections as an array of Strings.
`void` `setConfig(org.dbxml.server.Configuration config)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setConfig

    public void setConfig(org.dbxml.server.Configuration config)
                   throws org.dbxml.server.dbXMLException

  Specified by:
    `setConfig` in interface `org.dbxml.server.Configurable`

### getConfig

    public org.dbxml.server.Configuration getConfig()

  Specified by:
    `getConfig` in interface `org.dbxml.server.Configurable`

### getCollection

    public Collection getCollection(java.lang.String path)
                             throws DBException

  getCollection retrieves a Collection by name.
  Parameters:
    `path` - The Collection path
  Returns:
    The Collection (or null)

### listCollections

    public final java.lang.String[] listCollections()
                                             throws DBException

  listCollections retrieves a list of Collections as an array of Strings.
  Returns:
    The Collection list

### dropCollection

    public final boolean dropCollection(Collection collection)
                                 throws DBException

  dropCollection physically removes the specified Collection and any associated system resources that the Collection uses.
  Parameters:
    `collection` - The Collection to drop
  Returns:
    Whether or not the Collection was dropped

### createCollection

    public final Collection createCollection(java.lang.String path,
                                             org.dbxml.server.Configuration config)
                                      throws DBException

  createCollection creates a new Collection object and any associated system resources that the Collection will need.
  Parameters:
    `path` - The relative path of the Collection
    `config` - The Collection's configuration
  Returns:
    The newly created Collection

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.dbxml.server.Disposable`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved